import React, { useState, useEffect } from 'react';
import { ProDescriptions } from '@ant-design/pro-components';
import { Divider, Image } from 'antd';

export default ({ index, title, dataSource, columns, hidden, navhidden = false }) => {
  const [flag, setflag] = useState(true);
  console.log(index, dataSource);
  // 0：报修 1：接单 2：派单 3：完成维修  4：转追踪 5：转外协 6：转单 7：退单 8：追踪审核 9：外协审核 10：退单审核 11：效果验证
  const columns_mes = {
      sbxx: [
        {
          title: '设备编号',
          dataIndex: 'equipmentNo',
          key: 'equipmentNo',
        },
        {
          title: '设备名称',
          dataIndex: 'equipmentName',
          key: 'equipmentName',
        },
        {
          title: '设备型号',
          dataIndex: 'equipmentName',
          key: 'equipmentName',
        },
        {
          title: '公司名称',
          dataIndex: 'organizationName',
          key: 'organizationId',
        },
        {
          title: '部门名称',
          dataIndex: 'departmentName',
          key: 'departmentId',
        },
        {
          title: '工厂名称',
          dataIndex: 'factoryName',
          key: 'factoryId',
        },
        {
          title: '车间名称',
          dataIndex: 'shopName',
          key: 'shopId',
        },
        {
          title: '工段名称',
          dataIndex: 'sectionName',
          key: 'sectionId',
        },
        {
          title: '产线名称',
          dataIndex: 'productLineName',
          key: 'productLineName',
        },
      ],
      gzxx: [
        {
          title: '报修人员',
          dataIndex: 'repairUserName',
          key: 'repairUserName',
        },
        {
          title: '报修时间',
          dataIndex: 'repairTime',
          key: 'repairTime',
        },
        {
          title: '是否停机',
          dataIndex: 'isShutdown',
          key: 'isShutdown',
          render: (text, row, _, action) => {
            return row?.isShutdown == '1' ? '是' : '否';
          },
        },
        {
          title: '故障类型',
          dataIndex: 'faultType',
          key: 'faultType',
        },
        {
          title: '故障名称',
          dataIndex: 'faultDetailName',
          key: 'faultDetailName',
        },
        {
          title: '故障描述',
          dataIndex: 'faultDescription',
          key: 'faultDescription',
        },
        {
          title: '故障图片',
          dataIndex: 'pictureUrl',
          key: 'pictureUrl',
          render: (text, row, _, action) => {
            if (row?.pictureUrl) {
              return <Image width={70} src={row.pictureUrl} />;
            } else {
              return '暂无';
            }
          },
        },
      ],
    },
    columns_wxgd = {};
  useEffect(() => {
    setflag(hidden);
  }, []);
  console.log('datasource', dataSource);
  return (
    <>
      {flag ? (
        <div>
          {index == 0 ? (
            navhidden ? (
              <div>
                <div>
                  <h2 className="page-title">{title}</h2>
                </div>
                <Divider orientation="left">设备信息</Divider>
                <ProDescriptions dataSource={dataSource?.equipment} columns={columns_mes['sbxx']} />
                <Divider orientation="left">故障信息</Divider>
                <ProDescriptions dataSource={dataSource} columns={columns_mes['gzxx']} />
              </div>
            ) : (
              <div>
                <div style={{ borderLeft: '1px solid #ccc' }}>
                  <span
                    style={{
                      border: '1px solid #ccc',
                      backgroundColor: 'white',
                      borderRidus: '30%',
                    }}
                  >
                    {index}
                  </span>
                </div>
                <div>
                  <div>
                    <h2 className="page-title">{title}</h2>
                  </div>
                  <Divider orientation="left">设备信息</Divider>
                  <ProDescriptions
                    dataSource={dataSource?.equipment}
                    columns={columns_mes['sbxx']}
                  />
                  <Divider orientation="left">故障信息</Divider>
                  <ProDescriptions dataSource={dataSource} columns={columns_mes['gzxx']} />
                </div>
              </div>
            )
          ) : (
            <div>
              <div className="fault-detail">
                <div style={{ flex: 1, display: 'flex', flexDirection: 'row' }}>
                  <div
                    style={{
                      display: 'block',
                      width: '30px',
                      height: '30px',
                      fontWeight: 500,
                      textAlign: 'center',
                      padding: '2px',
                      border: '2px solid #1890FF',
                      borderRadius: '50%',
                      backgroundColor: 'white',
                      marginRight: 16,
                    }}
                  >
                    {index}
                  </div>
                  <div style={{ display: 'flex', flexDirection: 'column' }}>
                    <label style={{ width: '40px', fontSize: 18, fontWeight: 600 }}>
                      {dataSource?.operationTypeName}
                    </label>
                    <span>{dataSource?.updateUserName}</span>
                    <span>{dataSource?.updateTime}</span>
                  </div>
                </div>
                <div style={{ flex: 6 }}>
                  <div style={{ marginBottom: 16 }}>
                    <h2 className="page-title">{dataSource?.operationTypeName}信息</h2>
                  </div>
                  <ProDescriptions dataSource={dataSource} columns={columns_mes['sbxx']} />
                  <ProDescriptions dataSource={dataSource} columns={columns_mes['gzxx']} />
                </div>
              </div>
            </div>
          )}
        </div>
      ) : null}
    </>
  );
};
